So You Want To Be A Waiter

The best book on waiting tables that you have never read – yet

Tag Archives: Lorelle Van Fossen

Self-hosted WordPress users need to upgrade to newest version immediately

I think that this article by Lorelle, a noted blogger on WordPress issues, is important enough to reproduce in its entirety (except for the link compendium at the bottom of the post). Please see the original article here:

http://lorelle.wordpress.com/2009/09/04/old-wordpress-versions-under-attack/

And visit her blog regularly if you are a fellow WordPress user. It’s a very helpful blog.

I want to emphasize that this is for self-hosted WP users only. Bloggers like me who have WP host their blog are in no danger.

Old WordPress Versions Under Attack

WordPress NewsOtto42 of OttoDestruct, a key WordPress developer and supporter, reports that there is an “attack” on older versions of right now. The number of sites hit by this is growing every hour. Protect your WordPress blog now: UPDATE NOW!!!

Update your WordPress blog before you continue reading this post. That’s how critical this issue is.

Things You Need to Know Now

Here is what you need to know right now.

  1. UPDATE NOW! Reports are that this attack impacts ALL versions of WordPress up to 2.8.4, the most recent release.
  2. Report from WordPress on Attack: How to Keep WordPress Secure. Information on the most recent update of WordPress that prevented this attack on updated WordPress sites: WordPress 2.8.4: Security Release.
  3. What Version Am I Using? If you are using a WordPress version after 2.7, the nag screen on the WordPress Administration Panels will alert you to upgrade. If you are using an older version, upgrade now. Don’t know what version you are using? Without a nag screen to tell you to update, you’re using an old version. Checking the Administration Panels footer will help, but don’t waste time looking. Just update now!
  4. Use a WordPress Plugin for Protection: Do not rely upon a WordPress Plugin to protect you. There are many reports of Plugins that will “help” in the comments. While they might help in other ways, please upgrade now. That is the only solution if your site has not been impacted.
  5. WordPress is Not Secure: WordPress is incredibly secure and monitored 

constantly by experts in web security. This attack was well anticipated and so far, WordPress 2.8.4 is holding. If necessary, WordPress will immediately release a update with further security improvements. WordPress is used by governments, huge corporations, and me, around the world. Millions of bloggers are using WordPress.com. Have faith they are working overtime to monitor this situation and protect your blog.

  • Fear of Upgrading: This attack is serious enough to overcome all your fears of updating. If older WordPress Plugins are holding you back, update them to the latest version or replace them with new. If your Theme might break, contact the Theme author and update or replace it. There are thousands of free Themes to choose from, probably some better than what you are using. If you are using a recent version of WordPress, updating is as easy as clicking a couple buttons. If you are using an older version, download the most recent version and upgrade now.
  • Other Issues? Whatever your issue is that keeps you from updating WordPress, get over it and update now to protect your site.
  • When we have updated news, we’ll add them to this post and/or post a new article.

    How Do I Know If My Site Has Already Been Attacked?

    There are two clues that your WordPress site has been attacked.

    There are strange additions to the pretty permalinks, such as example.com/category/post-title/%&(%7B$%7Beval(base64_decode($_SERVER%5BHTTP_REFERER%5D))%7D%7D|.+)&%/. The keywords are “eval” and “base64_decode.”

    The second clue is that a “back door” was created by a “hidden” Administrator. Check your site users for “Administrator (2)” or a name you do not recognize. You will probably be unable to access that account, but Journey Etc. has a possible solution.

    WordPress.com blogs are not impacted as they are up-to-date. Only versions prior to WordPress 2.8.4 are impacted.

    To Prevent Your WordPress Blog from Attack

    To prevent this form of attack, update your WordPress site IMMEDIATELY to the latest version. Change ALL passwords to a strong password immediately, including WordPress blog access for all users, database, FTP, control panels, everything.

    See the articles below for more helpful information on how to harden and protect your WordPress blog.

    If Your WordPress Blog Has Been Attacked

    If your site has already been attacked, it appears that the hack attacks the database, going deep. We’re looking for solutions, but the easiest appears to be to export all your content with the built-in XML WordPress export (pre 2.1 versions, try the WordPress-to-WordPress Import WordPress Plugin) and literally remove your WordPress installation totally (save images and general files). DO NOT EXPORT YOUR DATABASE! Install the latest version of WordPress and add the “clean” backup of your WordPress Theme, then import the XML export. The export will contain your posts, Pages, and comments, and hopefully no other hacked code.

    How To Completely Clean Your Hacked WordPress Installation” by Smackdown is a good article on how to reinstall WordPress after being hacked, but take care to keep your export limited to the post content and comments (and Pages), not the entire database as the hack goes into the database.

    How to Respond to a WordPress Attack

    WordPress has been requesting users update as soon as an update is released for several years. They also now have a excellent team to track down this issue and quickly protect WordPress with any necessary updates.

    Please blog and Twitter about the attacks. It’s important that we spread the information throughout the WordPress Community as fast as possible, encouraging everyone to update WordPress. Take care not to promote rumors, just the facts, until we know more.

    If you have pertinent information that will help the WordPress team track down and stop this attack, please report it to security@wordpress.org.

    Check the for more information and support. Also check for news and announcements on security issues and updates on the and in your WordPress blog Dashboard Panel.

    Please, keep your WordPress site constantly updated. You are now informed of updates directly through the Administration Panels. Act upon it.

    ——————————————————

    And here is founder Matt Mullenweg’s blog post on the subject:

    http://wordpress.org/development/2009/09/keep-wordpress-secure/

    Follow

    Get every new post delivered to your Inbox.

    Join 40 other followers